<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:tx="http://www.springframework.org/schema/tx" xmlns:aop="http://www.springframework.org/schema/aop"
	xmlns:mongo="http://www.springframework.org/schema/data/mongo"
	xsi:schemaLocation="http://www.springframework.org/schema/context   
          http://www.springframework.org/schema/context/spring-context-4.3.xsd   
          http://www.springframework.org/schema/beans   
          http://www.springframework.org/schema/beans/spring-beans-4.3.xsd
          http://www.springframework.org/schema/tx 
	      http://www.springframework.org/schema/tx/spring-tx-4.3.xsd
	      http://www.springframework.org/schema/aop 
	      http://www.springframework.org/schema/aop/spring-aop-4.3.xsd
	      http://www.springframework.org/schema/data/mongo   
          http://www.springframework.org/schema/data/mongo/spring-mongo-1.8.xsd  
          ">

	<!-- 开启注解处理器 -->
	<context:annotation-config />
	<!-- 开启组件自动扫描，扫描路径由base-package属性指定 -->
	<context:component-scan base-package="com.zhiwei">
		<context:exclude-filter type="annotation"
			expression="org.springframework.stereotype.Controller" />
	</context:component-scan>
	<!-- 开启Aspect -->
	<aop:aspectj-autoproxy />
	<context:property-placeholder
		ignore-unresolvable="true" location="classpath:mongo.properties" />

	<bean id="firstRun" class="com.zhiwei.manage.handle.DbDepot" scope="singleton"
		init-method="init"></bean>

	<!-- 默认配置文件 -->
	<bean id="mappingContext"
		class="org.springframework.data.mongodb.core.mapping.MongoMappingContext" />
	<!-- 默认Mongodb类型映射 -->
	<bean id="defaultMongoTypeMapper"
		class="org.springframework.data.mongodb.core.convert.DefaultMongoTypeMapper">
		<constructor-arg name="typeKey">
			<!-- 这里设置为空,可以把 spring data mongodb 多余保存的_class字段去掉 -->
			<null />
		</constructor-arg>
	</bean>

	<mongo:mongo id="mongoMongo" host="${mongo.serverMongoIp}"
		port="${mongo.serverMongoPort}" write-concern="SAFE" />
	<mongo:db-factory id="mongoFactory" dbname="${mongo.spyPlatData.dbName1}"
		mongo-ref="mongoMongo" />
	<mongo:template id="mongoTemplate" db-factory-ref="mongoFactory" />

	<mongo:mongo id="newmongoMongo" host="${mongo2.serverMongoIp}"
		port="${mongo2.serverMongoPort}" write-concern="SAFE" />
	<mongo:db-factory id="newmongoFactory" dbname="${mongo2.spyPlatData.dbName1}"
		mongo-ref="newmongoMongo" />
	<mongo:template id="newmongoTemplate" db-factory-ref="newmongoFactory" />



	<mongo:mongo id="weibomongoMongo" host="${weibomongo.serverMongoIp}"
		port="${weibomongo.serverMongoPort}" write-concern="SAFE" />
	<mongo:db-factory id="weibomongoFactory"
		dbname="${weibomongo.spyPlatData.dbName1}" mongo-ref="weibomongoMongo" />
	<mongo:template id="weibomongoTemplate" db-factory-ref="weibomongoFactory" />



</beans>